#include <iostream>
#include <cmath>
using namespace std;

double p;
double q;
double r;
long long int L;
long long int D;
long long int x;
long long int n;

int main() {
    cin >> p;
    cin >> q;
    cin >> r;
    cin >> L;
    cin >> D;
    x=0;
    n=ceil(3/(1-1/p-1/q-1/r));
    if (n>D){
        n=D;
    }
    else{
        if (n<L){
        x=D-L+1;
        }
        else {
        x=D-n;
        }
    }
    for (int i=L;i<=n;i++){
        if (ceil(i/p)+ceil(i/q)+ceil(i/r)<=i){
            x++;
        }
    }
    cout << x;
	return 0;
}